diff --git a/plugins/gtkui/callbacks.h b/plugins/gtkui/callbacks.h
index 50e4233b9..62e0ec156 100644
--- a/plugins/gtkui/callbacks.h
+++ b/plugins/gtkui/callbacks.h
@@ -1380,3 +1380,13 @@ on_log_window_key_press_event          (GtkWidget       *widget,
 void
 on_display_seltime_toggled             (GtkToggleButton *togglebutton,
                                         gpointer         user_data);
+
+void
+on_listview_group_spacing_value_changed
+                                        (GtkSpinButton   *spinbutton,
+                                        gpointer         user_data);
+void
+on_pref_pluginlist_row_activated       (GtkTreeView     *treeview,
+                                        GtkTreePath     *path,
+                                        GtkTreeViewColumn *column,
+                                        gpointer         user_data);
diff --git a/plugins/gtkui/ddblistview.c b/plugins/gtkui/ddblistview.c
index a349e9d56..88b6d7651 100644
--- a/plugins/gtkui/ddblistview.c
+++ b/plugins/gtkui/ddblistview.c
@@ -3279,6 +3279,9 @@ build_groups (DdbListview *listview) {
             }
         } while (it && ((!listview->grouptitle_height && grp->num_items < BLANK_GROUP_SUBDIVISION) || (listview->grouptitle_height && !strcmp(group_title, next_title))));
         grp->height = listview->grouptitle_height + max(grp->num_items * listview->rowheight, min_height);
+        if (it) {
+            grp->height += gtkui_groups_spacing;
+        }
         full_height += grp->height;
         grp->next = it ? new_group(listview, it) : NULL;
     }
diff --git a/plugins/gtkui/deadbeef.glade b/plugins/gtkui/deadbeef.glade
index f95f96e43..a7b6d7b28 100644
--- a/plugins/gtkui/deadbeef.glade
+++ b/plugins/gtkui/deadbeef.glade
@@ -3816,6 +3816,89 @@ Only prevent clipping</property>
 		      <property name="fill">False</property>
 		    </packing>
 		  </child>
+
+		  <child>
+		    <widget class="GtkHBox" id="hbox141">
+		      <property name="visible">True</property>
+		      <property name="homogeneous">False</property>
+		      <property name="spacing">8</property>
+
+		      <child>
+			<widget class="GtkLabel" id="label164">
+			  <property name="visible">True</property>
+			  <property name="label" translatable="yes">Group spacing:</property>
+			  <property name="use_underline">False</property>
+			  <property name="use_markup">False</property>
+			  <property name="justify">GTK_JUSTIFY_LEFT</property>
+			  <property name="wrap">False</property>
+			  <property name="selectable">False</property>
+			  <property name="xalign">0.5</property>
+			  <property name="yalign">0.5</property>
+			  <property name="xpad">0</property>
+			  <property name="ypad">0</property>
+			  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
+			  <property name="width_chars">-1</property>
+			  <property name="single_line_mode">False</property>
+			  <property name="angle">0</property>
+			</widget>
+			<packing>
+			  <property name="padding">0</property>
+			  <property name="expand">False</property>
+			  <property name="fill">False</property>
+			</packing>
+		      </child>
+
+		      <child>
+			<widget class="GtkSpinButton" id="listview_group_spacing">
+			  <property name="visible">True</property>
+			  <property name="can_focus">True</property>
+			  <property name="climb_rate">1</property>
+			  <property name="digits">0</property>
+			  <property name="numeric">True</property>
+			  <property name="update_policy">GTK_UPDATE_ALWAYS</property>
+			  <property name="snap_to_ticks">False</property>
+			  <property name="wrap">False</property>
+			  <property name="adjustment">0 0 1000 1 10 10</property>
+			  <signal name="value_changed" handler="on_listview_group_spacing_value_changed" last_modification_time="Fri, 12 May 2017 23:24:54 GMT"/>
+			</widget>
+			<packing>
+			  <property name="padding">0</property>
+			  <property name="expand">False</property>
+			  <property name="fill">True</property>
+			</packing>
+		      </child>
+
+		      <child>
+			<widget class="GtkLabel" id="label165">
+			  <property name="visible">True</property>
+			  <property name="label" translatable="yes">pixels</property>
+			  <property name="use_underline">False</property>
+			  <property name="use_markup">False</property>
+			  <property name="justify">GTK_JUSTIFY_LEFT</property>
+			  <property name="wrap">False</property>
+			  <property name="selectable">False</property>
+			  <property name="xalign">0.5</property>
+			  <property name="yalign">0.5</property>
+			  <property name="xpad">0</property>
+			  <property name="ypad">0</property>
+			  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
+			  <property name="width_chars">-1</property>
+			  <property name="single_line_mode">False</property>
+			  <property name="angle">0</property>
+			</widget>
+			<packing>
+			  <property name="padding">0</property>
+			  <property name="expand">False</property>
+			  <property name="fill">False</property>
+			</packing>
+		      </child>
+		    </widget>
+		    <packing>
+		      <property name="padding">0</property>
+		      <property name="expand">False</property>
+		      <property name="fill">False</property>
+		    </packing>
+		  </child>
 		</widget>
 		<packing>
 		  <property name="tab_expand">False</property>
@@ -6370,6 +6453,7 @@ if you don't press Apply.</property>
 		      <property name="hover_selection">False</property>
 		      <property name="hover_expand">False</property>
 		      <signal name="cursor_changed" handler="on_pref_pluginlist_cursor_changed" last_modification_time="Sat, 10 Oct 2009 19:54:17 GMT"/>
+		      <signal name="row_activated" handler="on_pref_pluginlist_row_activated" last_modification_time="Fri, 12 May 2017 18:53:38 GMT"/>
 		    </widget>
 		  </child>
 		</widget>
diff --git a/plugins/gtkui/gtkui.c b/plugins/gtkui/gtkui.c
index e3fbea77d..4f26b2a6b 100644
--- a/plugins/gtkui/gtkui.c
+++ b/plugins/gtkui/gtkui.c
@@ -107,6 +107,7 @@ int gtkui_tabstrip_italic_selected;
 
 int gtkui_groups_pinned;
 int gtkui_listview_busy;
+int gtkui_groups_spacing;
 
 #ifdef __APPLE__
 int gtkui_is_retina = 0;
@@ -592,6 +593,7 @@ gtkui_on_configchanged (void *data) {
 
     // pin groups
     gtkui_groups_pinned = deadbeef->conf_get_int ("playlist.pin.groups", 0);
+    gtkui_groups_spacing = deadbeef->conf_get_int ("playlist.groups.spacing", 0);
 
     // play state images
     gtkui_unicode_playstate = deadbeef->conf_get_int ("gtkui.unicode_playstate", 0);
diff --git a/plugins/gtkui/gtkui.h b/plugins/gtkui/gtkui.h
index e64dac086..8853a3ecd 100644
--- a/plugins/gtkui/gtkui.h
+++ b/plugins/gtkui/gtkui.h
@@ -54,6 +54,7 @@ extern int gtkui_tabstrip_italic_playing;
 struct _GSList;
 
 extern int gtkui_groups_pinned;
+extern int gtkui_groups_spacing;
 extern int gtkui_listview_busy;
 
 extern const char *gtkui_default_titlebar_playing;
diff --git a/plugins/gtkui/interface.c b/plugins/gtkui/interface.c
index cd909f23b..08ed82e3b 100644
--- a/plugins/gtkui/interface.c
+++ b/plugins/gtkui/interface.c
@@ -1596,6 +1596,11 @@ create_prefwin (void)
   GtkWidget *hide_delete_from_disk;
   GtkWidget *auto_name_playlist_from_folder;
   GtkWidget *auto_size_columns;
+  GtkWidget *hbox141;
+  GtkWidget *label164;
+  GObject *listview_group_spacing_adj;
+  GtkWidget *listview_group_spacing;
+  GtkWidget *label165;
   GtkWidget *label148;
   GtkWidget *label2;
   GtkWidget *notebook4;
@@ -2144,6 +2149,24 @@ create_prefwin (void)
   gtk_widget_show (auto_size_columns);
   gtk_box_pack_start (GTK_BOX (vbox44), auto_size_columns, FALSE, FALSE, 0);
 
+  hbox141 = gtk_hbox_new (FALSE, 8);
+  gtk_widget_show (hbox141);
+  gtk_box_pack_start (GTK_BOX (vbox44), hbox141, FALSE, FALSE, 0);
+
+  label164 = gtk_label_new (_("Group spacing:"));
+  gtk_widget_show (label164);
+  gtk_box_pack_start (GTK_BOX (hbox141), label164, FALSE, FALSE, 0);
+
+  listview_group_spacing_adj = G_OBJECT(gtk_adjustment_new (0, 0, 1000, 1, 10, 10));
+  listview_group_spacing = gtk_spin_button_new (GTK_ADJUSTMENT (listview_group_spacing_adj), 1, 0);
+  gtk_widget_show (listview_group_spacing);
+  gtk_box_pack_start (GTK_BOX (hbox141), listview_group_spacing, FALSE, TRUE, 0);
+  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (listview_group_spacing), TRUE);
+
+  label165 = gtk_label_new (_("pixels"));
+  gtk_widget_show (label165);
+  gtk_box_pack_start (GTK_BOX (hbox141), label165, FALSE, FALSE, 0);
+
   label148 = gtk_label_new (_("Playlist"));
   gtk_widget_show (label148);
   gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook5), gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook5), 1), label148);
@@ -3061,6 +3084,9 @@ create_prefwin (void)
   g_signal_connect ((gpointer) auto_size_columns, "toggled",
                     G_CALLBACK (on_auto_size_columns_toggled),
                     NULL);
+  g_signal_connect ((gpointer) listview_group_spacing, "value_changed",
+                    G_CALLBACK (on_listview_group_spacing_value_changed),
+                    NULL);
   g_signal_connect ((gpointer) override_bar_colors, "toggled",
                     G_CALLBACK (on_override_bar_colors_toggled),
                     NULL);
@@ -3217,6 +3243,9 @@ create_prefwin (void)
   g_signal_connect ((gpointer) pref_pluginlist, "cursor_changed",
                     G_CALLBACK (on_pref_pluginlist_cursor_changed),
                     NULL);
+  g_signal_connect ((gpointer) pref_pluginlist, "row_activated",
+                    G_CALLBACK (on_pref_pluginlist_row_activated),
+                    NULL);
   g_signal_connect ((gpointer) configure_plugin, "clicked",
                     G_CALLBACK (on_configure_plugin_clicked),
                     NULL);
@@ -3311,6 +3340,10 @@ create_prefwin (void)
   GLADE_HOOKUP_OBJECT (prefwin, hide_delete_from_disk, "hide_delete_from_disk");
   GLADE_HOOKUP_OBJECT (prefwin, auto_name_playlist_from_folder, "auto_name_playlist_from_folder");
   GLADE_HOOKUP_OBJECT (prefwin, auto_size_columns, "auto_size_columns");
+  GLADE_HOOKUP_OBJECT (prefwin, hbox141, "hbox141");
+  GLADE_HOOKUP_OBJECT (prefwin, label164, "label164");
+  GLADE_HOOKUP_OBJECT (prefwin, listview_group_spacing, "listview_group_spacing");
+  GLADE_HOOKUP_OBJECT (prefwin, label165, "label165");
   GLADE_HOOKUP_OBJECT (prefwin, label148, "label148");
   GLADE_HOOKUP_OBJECT (prefwin, label2, "label2");
   GLADE_HOOKUP_OBJECT (prefwin, notebook4, "notebook4");
diff --git a/plugins/gtkui/prefwin.c b/plugins/gtkui/prefwin.c
index c3f497592..0d6f39b2a 100644
--- a/plugins/gtkui/prefwin.c
+++ b/plugins/gtkui/prefwin.c
@@ -298,6 +298,8 @@ gtkui_run_preferences_dlg (void) {
     // enable auto-sizing of columns
     set_toggle_button("auto_size_columns", deadbeef->conf_get_int ("gtkui.autoresize_columns", 0));
 
+    gtk_spin_button_set_value(GTK_SPIN_BUTTON (lookup_widget (w, "listview_group_spacing")), deadbeef->conf_get_int ("playlist.groups.spacing", 0));
+
     // fill gui plugin list
     combobox = GTK_COMBO_BOX (lookup_widget (w, "gui_plugin"));
     const char **names = deadbeef->plug_get_gui_names ();
@@ -659,6 +661,17 @@ on_configure_plugin_clicked            (GtkButton       *button,
     }
 }
 
+void
+on_pref_pluginlist_row_activated       (GtkTreeView     *treeview,
+                                        GtkTreePath     *path,
+                                        GtkTreeViewColumn *column,
+                                        gpointer         user_data)
+{
+    GtkWidget *w = prefwin;
+    GtkButton *btn = GTK_BUTTON (lookup_widget (w, "configure_plugin"));
+    gtk_button_clicked(btn);
+}
+
 static void
 override_set_helper (GtkToggleButton  *togglebutton, const char* conf_str, const char *group_name)
 {
@@ -1253,3 +1266,17 @@ on_display_seltime_toggled             (GtkToggleButton *togglebutton,
     deadbeef->conf_set_int ("gtkui.statusbar_seltime", gtk_toggle_button_get_active (togglebutton));
     deadbeef->sendmessage (DB_EV_CONFIGCHANGED, 0, 0, 0);
 }
+
+void
+on_listview_group_spacing_value_changed
+                                        (GtkSpinButton   *spinbutton,
+                                        gpointer         user_data)
+{
+    deadbeef->conf_set_int ("playlist.groups.spacing", gtk_spin_button_get_value_as_int (spinbutton));
+    deadbeef->sendmessage (DB_EV_CONFIGCHANGED, (uintptr_t)"playlist.groups.spacing", 0, 0);
+    ddb_playlist_t *plt = deadbeef->plt_get_curr ();
+    if (plt) {
+        deadbeef->plt_modified (plt);
+        deadbeef->plt_unref(plt);
+    }
+}
diff --git a/plugins/gtkui/widgets.c b/plugins/gtkui/widgets.c
index cdbe9b7f0..fc55ddbd0 100644
--- a/plugins/gtkui/widgets.c
+++ b/plugins/gtkui/widgets.c
@@ -2249,7 +2249,8 @@ w_playlist_message (ddb_gtkui_widget_t *w, uint32_t id, uintptr_t ctx, uint32_t
                 g_idle_add (playlist_list_refresh_cb, p->list);
                 g_idle_add (playlist_header_refresh_cb, p->list);
             }
-            else if (gtkui_listview_font_style_conf(conf_str) || !strcmp (conf_str, "playlist.pin.groups")) {
+            else if (gtkui_listview_font_style_conf(conf_str) || !strcmp (conf_str, "playlist.pin.groups") ||
+                    !strcmp (conf_str, "playlist.groups.spacing") ) {
                 g_idle_add (playlist_list_refresh_cb, p->list);
             }
             else if (gtkui_tabstrip_override_conf(conf_str) || gtkui_tabstrip_colors_conf(conf_str)) {
